# Initiating Channel API

#### **API for listing Initiating Channel details in the BBPS application.**

| Endpoint                                                                                                                      |
| ----------------------------------------------------------------------------------------------------------------------------- |
| **Endpoint Request:&#x20;**<mark style="color:blue;">**GET https\://\<master\_server\_url>/masters/initiatingChannel**</mark> |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                    | Property/Element Name | Mandatory | Data Type | Description                                                               |
| ------------------------------------------ | --------------------- | --------- | --------- | ------------------------------------------------------------------------- |
| **\[ROOT]** (No parent property / element) | channelsList          | M         | List      | A boolean which tells if amount breakupset is present or not              |
| **channelsList**                           | channelId             | M         | UUID      | Machine-generated Unique ID assigned to Initiating Channels internally    |
|                                            | channelName           | M         | String    | Lists all combinations of Amount Breakup Options configured by the Biller |
| **generalResp**                            | statusCode            | M         | Numeric   | 200- SUCCESS Other than 200-Failure                                       |
|                                            | status                | M         | String    | It is either “Success” or failure                                         |
|                                            | message               | M         | String    | Contains the reason message for failure / success                         |
|                                            | remarks               | C         | String    | Empty string                                                              |

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json
    {
    "channelsList": 
    [
    {
    "channelId": "5de064f0-dd9b-4a0b-8ff7-54f72b5a4ea9", 
    "channelName": "Internet"
    },
    {
    "channelId": "3652cbd8-83c6-4e5d-a651-5c46a570bc82", 
    "channelName": "Internet_Banking"
    },
    {
    "channelId": "3027b91c-36da-4b93-8bad-165fc4ca0491", 
    "channelName": "Cable TV"
    },
    {
    "channelId": "2121b315-c78e-45a6-81e8-0ca345981784",
    "channelName": "Mobile"
    },
    {
    "channelId": "b8c0030f-6011-4617-b5e8-1bd3e0aecb0e", 
    "channelName": "POS"
    },
    {
    "channelId": "d07b7b49-5bfc-48dc-a6b1-4c382dcb8b07", 
    "channelName": "MPOS"
    },
    {
    "channelId": "66bcb3db-1cf0-4f24-ac78-ee920c5f65ee", 
    "channelName": "ATM"
    }
    ],
    "generalResp": 
    { 
    "statusCode": "200",
    "status": "success",
    "message": "channels retrieved successfully", 
    "remarks": ""
    }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-master-data-api/initiating-channel-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
